<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_181) on Mon Apr 01 14:30:42 IST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Identity (registration-services 0.10.0 API)</title>
<meta name="date" content="2019-04-01">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Identity (registration-services 0.10.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Identity.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../io/mosip/registration/dto/json/metadata/HashSequence.html" title="class in io.mosip.registration.dto.json.metadata"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../io/mosip/registration/dto/json/metadata/PacketMetaInfo.html" title="class in io.mosip.registration.dto.json.metadata"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?io/mosip/registration/dto/json/metadata/Identity.html" target="_top">Frames</a></li>
<li><a href="Identity.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">io.mosip.registration.dto.json.metadata</div>
<h2 title="Class Identity" class="title">Class Identity</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>io.mosip.registration.dto.json.metadata.Identity</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Identity</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block">This contains the attributes which have to be displayed in PacketMetaInfo
 JSON</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.0.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Balaji Sridharan</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/dto/json/metadata/Identity.html#Identity--">Identity</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../../io/mosip/registration/dto/json/metadata/Photograph.html" title="class in io.mosip.registration.dto.json.metadata">Photograph</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/dto/json/metadata/Identity.html#getApplicantPhotograph--">getApplicantPhotograph</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../io/mosip/registration/dto/json/metadata/Biometric.html" title="class in io.mosip.registration.dto.json.metadata">Biometric</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/dto/json/metadata/Identity.html#getBiometric--">getBiometric</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../io/mosip/registration/dto/json/metadata/FieldValue.html" title="class in io.mosip.registration.dto.json.metadata">FieldValue</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/dto/json/metadata/Identity.html#getCapturedNonRegisteredDevices--">getCapturedNonRegisteredDevices</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../io/mosip/registration/dto/json/metadata/FieldValue.html" title="class in io.mosip.registration.dto.json.metadata">FieldValue</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/dto/json/metadata/Identity.html#getCapturedRegisteredDevices--">getCapturedRegisteredDevices</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../io/mosip/registration/dto/json/metadata/FieldValue.html" title="class in io.mosip.registration.dto.json.metadata">FieldValue</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/dto/json/metadata/Identity.html#getCheckSum--">getCheckSum</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../io/mosip/registration/dto/json/metadata/Document.html" title="class in io.mosip.registration.dto.json.metadata">Document</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/dto/json/metadata/Identity.html#getDocuments--">getDocuments</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../io/mosip/registration/dto/json/metadata/BiometricException.html" title="class in io.mosip.registration.dto.json.metadata">BiometricException</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/dto/json/metadata/Identity.html#getExceptionBiometrics--">getExceptionBiometrics</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../io/mosip/registration/dto/json/metadata/Photograph.html" title="class in io.mosip.registration.dto.json.metadata">Photograph</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/dto/json/metadata/Identity.html#getExceptionPhotograph--">getExceptionPhotograph</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../io/mosip/registration/dto/json/metadata/FieldValueArray.html" title="class in io.mosip.registration.dto.json.metadata">FieldValueArray</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/dto/json/metadata/Identity.html#getHashSequence1--">getHashSequence1</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../io/mosip/registration/dto/json/metadata/FieldValueArray.html" title="class in io.mosip.registration.dto.json.metadata">FieldValueArray</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/dto/json/metadata/Identity.html#getHashSequence2--">getHashSequence2</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../io/mosip/registration/dto/json/metadata/FieldValue.html" title="class in io.mosip.registration.dto.json.metadata">FieldValue</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/dto/json/metadata/Identity.html#getMetaData--">getMetaData</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../io/mosip/registration/dto/json/metadata/FieldValue.html" title="class in io.mosip.registration.dto.json.metadata">FieldValue</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/dto/json/metadata/Identity.html#getOsiData--">getOsiData</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/dto/json/metadata/Identity.html#getUinUpdatedFields--">getUinUpdatedFields</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/dto/json/metadata/Identity.html#setApplicantPhotograph-io.mosip.registration.dto.json.metadata.Photograph-">setApplicantPhotograph</a></span>(<a href="../../../../../../io/mosip/registration/dto/json/metadata/Photograph.html" title="class in io.mosip.registration.dto.json.metadata">Photograph</a>&nbsp;applicantPhotograph)</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/dto/json/metadata/Identity.html#setBiometric-io.mosip.registration.dto.json.metadata.Biometric-">setBiometric</a></span>(<a href="../../../../../../io/mosip/registration/dto/json/metadata/Biometric.html" title="class in io.mosip.registration.dto.json.metadata">Biometric</a>&nbsp;biometric)</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/dto/json/metadata/Identity.html#setCapturedNonRegisteredDevices-java.util.List-">setCapturedNonRegisteredDevices</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../io/mosip/registration/dto/json/metadata/FieldValue.html" title="class in io.mosip.registration.dto.json.metadata">FieldValue</a>&gt;&nbsp;capturedNonRegisteredDevices)</code>&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/dto/json/metadata/Identity.html#setCapturedRegisteredDevices-java.util.List-">setCapturedRegisteredDevices</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../io/mosip/registration/dto/json/metadata/FieldValue.html" title="class in io.mosip.registration.dto.json.metadata">FieldValue</a>&gt;&nbsp;capturedRegisteredDevices)</code>&nbsp;</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/dto/json/metadata/Identity.html#setCheckSum-java.util.List-">setCheckSum</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../io/mosip/registration/dto/json/metadata/FieldValue.html" title="class in io.mosip.registration.dto.json.metadata">FieldValue</a>&gt;&nbsp;checkSum)</code>&nbsp;</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/dto/json/metadata/Identity.html#setDocuments-java.util.List-">setDocuments</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../io/mosip/registration/dto/json/metadata/Document.html" title="class in io.mosip.registration.dto.json.metadata">Document</a>&gt;&nbsp;documents)</code>&nbsp;</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/dto/json/metadata/Identity.html#setExceptionBiometrics-java.util.List-">setExceptionBiometrics</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../io/mosip/registration/dto/json/metadata/BiometricException.html" title="class in io.mosip.registration.dto.json.metadata">BiometricException</a>&gt;&nbsp;exceptionBiometrics)</code>&nbsp;</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/dto/json/metadata/Identity.html#setExceptionPhotograph-io.mosip.registration.dto.json.metadata.Photograph-">setExceptionPhotograph</a></span>(<a href="../../../../../../io/mosip/registration/dto/json/metadata/Photograph.html" title="class in io.mosip.registration.dto.json.metadata">Photograph</a>&nbsp;exceptionPhotograph)</code>&nbsp;</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/dto/json/metadata/Identity.html#setHashSequence-java.util.List-">setHashSequence</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../io/mosip/registration/dto/json/metadata/FieldValueArray.html" title="class in io.mosip.registration.dto.json.metadata">FieldValueArray</a>&gt;&nbsp;hashSequence)</code>&nbsp;</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/dto/json/metadata/Identity.html#setHashSequence2-java.util.List-">setHashSequence2</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../io/mosip/registration/dto/json/metadata/FieldValueArray.html" title="class in io.mosip.registration.dto.json.metadata">FieldValueArray</a>&gt;&nbsp;hashSequence2)</code>&nbsp;</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/dto/json/metadata/Identity.html#setMetaData-java.util.List-">setMetaData</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../io/mosip/registration/dto/json/metadata/FieldValue.html" title="class in io.mosip.registration.dto.json.metadata">FieldValue</a>&gt;&nbsp;metaData)</code>&nbsp;</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/dto/json/metadata/Identity.html#setOsiData-java.util.List-">setOsiData</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../io/mosip/registration/dto/json/metadata/FieldValue.html" title="class in io.mosip.registration.dto.json.metadata">FieldValue</a>&gt;&nbsp;osiData)</code>&nbsp;</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/dto/json/metadata/Identity.html#setUinUpdatedFields-java.util.List-">setUinUpdatedFields</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;uinUpdatedFields)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Identity--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Identity</h4>
<pre>public&nbsp;Identity()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getBiometric--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBiometric</h4>
<pre>public&nbsp;<a href="../../../../../../io/mosip/registration/dto/json/metadata/Biometric.html" title="class in io.mosip.registration.dto.json.metadata">Biometric</a>&nbsp;getBiometric()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the biometric</dd>
</dl>
</li>
</ul>
<a name="setBiometric-io.mosip.registration.dto.json.metadata.Biometric-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBiometric</h4>
<pre>public&nbsp;void&nbsp;setBiometric(<a href="../../../../../../io/mosip/registration/dto/json/metadata/Biometric.html" title="class in io.mosip.registration.dto.json.metadata">Biometric</a>&nbsp;biometric)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>biometric</code> - the biometric to set</dd>
</dl>
</li>
</ul>
<a name="getExceptionBiometrics--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getExceptionBiometrics</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../io/mosip/registration/dto/json/metadata/BiometricException.html" title="class in io.mosip.registration.dto.json.metadata">BiometricException</a>&gt;&nbsp;getExceptionBiometrics()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the exceptionBiometrics</dd>
</dl>
</li>
</ul>
<a name="setExceptionBiometrics-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setExceptionBiometrics</h4>
<pre>public&nbsp;void&nbsp;setExceptionBiometrics(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../io/mosip/registration/dto/json/metadata/BiometricException.html" title="class in io.mosip.registration.dto.json.metadata">BiometricException</a>&gt;&nbsp;exceptionBiometrics)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>exceptionBiometrics</code> - the exceptionBiometrics to set</dd>
</dl>
</li>
</ul>
<a name="getApplicantPhotograph--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getApplicantPhotograph</h4>
<pre>public&nbsp;<a href="../../../../../../io/mosip/registration/dto/json/metadata/Photograph.html" title="class in io.mosip.registration.dto.json.metadata">Photograph</a>&nbsp;getApplicantPhotograph()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the applicantPhotograph</dd>
</dl>
</li>
</ul>
<a name="setApplicantPhotograph-io.mosip.registration.dto.json.metadata.Photograph-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setApplicantPhotograph</h4>
<pre>public&nbsp;void&nbsp;setApplicantPhotograph(<a href="../../../../../../io/mosip/registration/dto/json/metadata/Photograph.html" title="class in io.mosip.registration.dto.json.metadata">Photograph</a>&nbsp;applicantPhotograph)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>applicantPhotograph</code> - the applicantPhotograph to set</dd>
</dl>
</li>
</ul>
<a name="getExceptionPhotograph--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getExceptionPhotograph</h4>
<pre>public&nbsp;<a href="../../../../../../io/mosip/registration/dto/json/metadata/Photograph.html" title="class in io.mosip.registration.dto.json.metadata">Photograph</a>&nbsp;getExceptionPhotograph()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the exceptionPhotograph</dd>
</dl>
</li>
</ul>
<a name="setExceptionPhotograph-io.mosip.registration.dto.json.metadata.Photograph-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setExceptionPhotograph</h4>
<pre>public&nbsp;void&nbsp;setExceptionPhotograph(<a href="../../../../../../io/mosip/registration/dto/json/metadata/Photograph.html" title="class in io.mosip.registration.dto.json.metadata">Photograph</a>&nbsp;exceptionPhotograph)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>exceptionPhotograph</code> - the exceptionPhotograph to set</dd>
</dl>
</li>
</ul>
<a name="getDocuments--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDocuments</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../io/mosip/registration/dto/json/metadata/Document.html" title="class in io.mosip.registration.dto.json.metadata">Document</a>&gt;&nbsp;getDocuments()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the documents</dd>
</dl>
</li>
</ul>
<a name="setDocuments-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDocuments</h4>
<pre>public&nbsp;void&nbsp;setDocuments(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../io/mosip/registration/dto/json/metadata/Document.html" title="class in io.mosip.registration.dto.json.metadata">Document</a>&gt;&nbsp;documents)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>documents</code> - the documents to set</dd>
</dl>
</li>
</ul>
<a name="getMetaData--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMetaData</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../io/mosip/registration/dto/json/metadata/FieldValue.html" title="class in io.mosip.registration.dto.json.metadata">FieldValue</a>&gt;&nbsp;getMetaData()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the metaData</dd>
</dl>
</li>
</ul>
<a name="setMetaData-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMetaData</h4>
<pre>public&nbsp;void&nbsp;setMetaData(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../io/mosip/registration/dto/json/metadata/FieldValue.html" title="class in io.mosip.registration.dto.json.metadata">FieldValue</a>&gt;&nbsp;metaData)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>metaData</code> - the metaData to set</dd>
</dl>
</li>
</ul>
<a name="getOsiData--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOsiData</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../io/mosip/registration/dto/json/metadata/FieldValue.html" title="class in io.mosip.registration.dto.json.metadata">FieldValue</a>&gt;&nbsp;getOsiData()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the osiData</dd>
</dl>
</li>
</ul>
<a name="setOsiData-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setOsiData</h4>
<pre>public&nbsp;void&nbsp;setOsiData(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../io/mosip/registration/dto/json/metadata/FieldValue.html" title="class in io.mosip.registration.dto.json.metadata">FieldValue</a>&gt;&nbsp;osiData)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>osiData</code> - the osiData to set</dd>
</dl>
</li>
</ul>
<a name="getHashSequence1--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHashSequence1</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../io/mosip/registration/dto/json/metadata/FieldValueArray.html" title="class in io.mosip.registration.dto.json.metadata">FieldValueArray</a>&gt;&nbsp;getHashSequence1()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the hashSequence</dd>
</dl>
</li>
</ul>
<a name="setHashSequence-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setHashSequence</h4>
<pre>public&nbsp;void&nbsp;setHashSequence(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../io/mosip/registration/dto/json/metadata/FieldValueArray.html" title="class in io.mosip.registration.dto.json.metadata">FieldValueArray</a>&gt;&nbsp;hashSequence)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>hashSequence</code> - the hashSequence to set</dd>
</dl>
</li>
</ul>
<a name="getHashSequence2--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHashSequence2</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../io/mosip/registration/dto/json/metadata/FieldValueArray.html" title="class in io.mosip.registration.dto.json.metadata">FieldValueArray</a>&gt;&nbsp;getHashSequence2()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the hashSequence2</dd>
</dl>
</li>
</ul>
<a name="setHashSequence2-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setHashSequence2</h4>
<pre>public&nbsp;void&nbsp;setHashSequence2(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../io/mosip/registration/dto/json/metadata/FieldValueArray.html" title="class in io.mosip.registration.dto.json.metadata">FieldValueArray</a>&gt;&nbsp;hashSequence2)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>hashSequence2</code> - the hashSequence2 to set</dd>
</dl>
</li>
</ul>
<a name="getCapturedRegisteredDevices--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCapturedRegisteredDevices</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../io/mosip/registration/dto/json/metadata/FieldValue.html" title="class in io.mosip.registration.dto.json.metadata">FieldValue</a>&gt;&nbsp;getCapturedRegisteredDevices()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the capturedRegisteredDevices</dd>
</dl>
</li>
</ul>
<a name="setCapturedRegisteredDevices-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCapturedRegisteredDevices</h4>
<pre>public&nbsp;void&nbsp;setCapturedRegisteredDevices(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../io/mosip/registration/dto/json/metadata/FieldValue.html" title="class in io.mosip.registration.dto.json.metadata">FieldValue</a>&gt;&nbsp;capturedRegisteredDevices)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>capturedRegisteredDevices</code> - the capturedRegisteredDevices to set</dd>
</dl>
</li>
</ul>
<a name="getCapturedNonRegisteredDevices--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCapturedNonRegisteredDevices</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../io/mosip/registration/dto/json/metadata/FieldValue.html" title="class in io.mosip.registration.dto.json.metadata">FieldValue</a>&gt;&nbsp;getCapturedNonRegisteredDevices()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the capturedNonRegisteredDevices</dd>
</dl>
</li>
</ul>
<a name="setCapturedNonRegisteredDevices-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCapturedNonRegisteredDevices</h4>
<pre>public&nbsp;void&nbsp;setCapturedNonRegisteredDevices(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../io/mosip/registration/dto/json/metadata/FieldValue.html" title="class in io.mosip.registration.dto.json.metadata">FieldValue</a>&gt;&nbsp;capturedNonRegisteredDevices)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>capturedNonRegisteredDevices</code> - the capturedNonRegisteredDevices to set</dd>
</dl>
</li>
</ul>
<a name="getCheckSum--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCheckSum</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../io/mosip/registration/dto/json/metadata/FieldValue.html" title="class in io.mosip.registration.dto.json.metadata">FieldValue</a>&gt;&nbsp;getCheckSum()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the checkSum</dd>
</dl>
</li>
</ul>
<a name="setCheckSum-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCheckSum</h4>
<pre>public&nbsp;void&nbsp;setCheckSum(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../io/mosip/registration/dto/json/metadata/FieldValue.html" title="class in io.mosip.registration.dto.json.metadata">FieldValue</a>&gt;&nbsp;checkSum)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>checkSum</code> - the checkSum to set</dd>
</dl>
</li>
</ul>
<a name="getUinUpdatedFields--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getUinUpdatedFields</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;getUinUpdatedFields()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the uinUpdatedFields</dd>
</dl>
</li>
</ul>
<a name="setUinUpdatedFields-java.util.List-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setUinUpdatedFields</h4>
<pre>public&nbsp;void&nbsp;setUinUpdatedFields(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;uinUpdatedFields)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>uinUpdatedFields</code> - the uinUpdatedFields to set</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Identity.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../io/mosip/registration/dto/json/metadata/HashSequence.html" title="class in io.mosip.registration.dto.json.metadata"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../io/mosip/registration/dto/json/metadata/PacketMetaInfo.html" title="class in io.mosip.registration.dto.json.metadata"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?io/mosip/registration/dto/json/metadata/Identity.html" target="_top">Frames</a></li>
<li><a href="Identity.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
